package com.xgc.Dao.impl;

import com.xgc.Dao.UsersDao;
import com.xgc.pojo.Users;
import org.apache.ibatis.io.Resources;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.apache.ibatis.session.SqlSessionFactoryBuilder;
import org.apache.log4j.lf5.util.Resource;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.util.List;

public class UsersDaoimpl implements UsersDao {

    /**
     * 查询所有用户
     * @return
     */
    @Override
    public List<Users> selectUsersAll() throws IOException {
        //创建sqlSessionFactory对象 首先全局文件
        InputStream inputStream =Resources.getResourceAsStream("mybatis-cfg.xml");
        SqlSessionFactory sqlSessionFactory = new SqlSessionFactoryBuilder().build(inputStream);
        //获取SqlSession对象
        SqlSession sqlSession = sqlSessionFactory.openSession();
        //通过sqlsession下的Api完成对数据库的操作
        List<Users> list = sqlSession.selectList("com.xgc.mapper.UsersMapper.selectYsersAll");
        //关闭sqlsession对象
        sqlSession.close();
        return list;
    }
}
